# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
from ._models import (
    AddressSpace,
    Resource,
    ApplicationGateway,
    ApplicationGatewayBackendAddress,
    SubResource,
    ApplicationGatewayBackendAddressPool,
    ApplicationGatewayBackendHttpSettings,
    ApplicationGatewayFrontendIPConfiguration,
    ApplicationGatewayFrontendPort,
    ApplicationGatewayHttpListener,
    ApplicationGatewayIPConfiguration,
    ApplicationGatewayListResult,
    ApplicationGatewayPathRule,
    ApplicationGatewayProbe,
    ApplicationGatewayRequestRoutingRule,
    ApplicationGatewaySku,
    ApplicationGatewaySslCertificate,
    ApplicationGatewayUrlPathMap,
    AuthorizationListResult,
    AzureAsyncOperationResult,
    BackendAddressPool,
    BgpSettings,
    ConnectionResetSharedKey,
    ConnectionSharedKey,
    ConnectionSharedKeyResult,
    DhcpOptions,
    DnsNameAvailabilityResult,
    Error,
    ErrorDetails,
    ExpressRouteCircuit,
    ExpressRouteCircuitArpTable,
    ExpressRouteCircuitAuthorization,
    ExpressRouteCircuitListResult,
    ExpressRouteCircuitPeering,
    ExpressRouteCircuitPeeringConfig,
    ExpressRouteCircuitPeeringListResult,
    ExpressRouteCircuitRoutesTable,
    ExpressRouteCircuitServiceProviderProperties,
    ExpressRouteCircuitSku,
    ExpressRouteCircuitStats,
    ExpressRouteCircuitsArpTableListResult,
    ExpressRouteCircuitsRoutesTableListResult,
    ExpressRouteCircuitsStatsListResult,
    ExpressRouteServiceProvider,
    ExpressRouteServiceProviderBandwidthsOffered,
    ExpressRouteServiceProviderListResult,
    FrontendIPConfiguration,
    IPConfiguration,
    InboundNatPool,
    InboundNatRule,
    LoadBalancer,
    LoadBalancerListResult,
    LoadBalancingRule,
    LocalNetworkGateway,
    LocalNetworkGatewayListResult,
    NetworkInterface,
    NetworkInterfaceDnsSettings,
    NetworkInterfaceIPConfiguration,
    NetworkInterfaceListResult,
    NetworkSecurityGroup,
    NetworkSecurityGroupListResult,
    OutboundNatRule,
    Probe,
    PublicIPAddress,
    PublicIPAddressDnsSettings,
    PublicIPAddressListResult,
    Route,
    RouteListResult,
    RouteTable,
    RouteTableListResult,
    SecurityRule,
    SecurityRuleListResult,
    Subnet,
    SubnetListResult,
    Usage,
    UsageName,
    UsagesListResult,
    VirtualNetwork,
    VirtualNetworkGateway,
    VirtualNetworkGatewayConnection,
    VirtualNetworkGatewayConnectionListResult,
    VirtualNetworkGatewayIPConfiguration,
    VirtualNetworkGatewayListResult,
    VirtualNetworkGatewaySku,
    VirtualNetworkListResult,
    VpnClientConfiguration,
    VpnClientParameters,
    VpnClientRevokedCertificate,
    VpnClientRootCertificate,
    ApplicationGatewayAuthenticationCertificate,
    ApplicationGatewayBackendHealth,
    ApplicationGatewayBackendHealthHttpSettings,
    ApplicationGatewayBackendHealthPool,
    ApplicationGatewayBackendHealthServer,
    ApplicationGatewaySslPolicy,
    ApplicationGatewayWebApplicationFirewallConfiguration,
    BgpPeerStatus,
    BgpPeerStatusListResult,
    EffectiveNetworkSecurityGroup,
    EffectiveNetworkSecurityGroupAssociation,
    EffectiveNetworkSecurityGroupListResult,
    EffectiveNetworkSecurityRule,
    EffectiveRoute,
    EffectiveRouteListResult,
    ExpressRouteCircuitRoutesTableSummary,
    ExpressRouteCircuitsRoutesTableSummaryListResult,
    FlowLogInformation,
    FlowLogStatusParameters,
    GatewayRoute,
    GatewayRouteListResult,
    IPAddressAvailabilityResult,
    NetworkInterfaceAssociation,
    NetworkWatcher,
    NetworkWatcherListResult,
    NextHopParameters,
    NextHopResult,
    PacketCapture,
    PacketCaptureFilter,
    PacketCaptureListResult,
    PacketCaptureParameters,
    PacketCaptureQueryStatusResult,
    PacketCaptureResult,
    PacketCaptureResultProperties,
    PacketCaptureStorageLocation,
    QueryTroubleshootingParameters,
    ResourceNavigationLink,
    RetentionPolicyParameters,
    SecurityGroupNetworkInterface,
    SecurityGroupViewParameters,
    SecurityGroupViewResult,
    SecurityRuleAssociations,
    SubnetAssociation,
    Topology,
    TopologyAssociation,
    TopologyParameters,
    TopologyResource,
    TroubleshootingDetails,
    TroubleshootingParameters,
    TroubleshootingRecommendedActions,
    TroubleshootingResult,
    TunnelConnectionHealth,
    VerificationIPFlowParameters,
    VerificationIPFlowResult,
    VirtualNetworkPeering,
    VirtualNetworkPeeringListResult,
    ApplicationGatewayConnectionDraining,
    BGPCommunity,
    BgpServiceCommunity,
    BgpServiceCommunityListResult,
    PatchRouteFilter,
    PatchRouteFilterRule,
    RouteFilter,
    RouteFilterListResult,
    RouteFilterRule,
    RouteFilterRuleListResult,
    ApplicationGatewayAvailableWafRuleSetsResult,
    ApplicationGatewayFirewallDisabledRuleGroup,
    ApplicationGatewayFirewallRule,
    ApplicationGatewayFirewallRuleGroup,
    ApplicationGatewayFirewallRuleSet,
    ConnectivityDestination,
    ConnectivityHop,
    ConnectivityInformation,
    ConnectivityIssue,
    ConnectivityParameters,
    ConnectivitySource,
    IpsecPolicy,
    Ipv6ExpressRouteCircuitPeeringConfig,
    VirtualNetworkListUsageResult,
    VirtualNetworkUsage,
    VirtualNetworkUsageName,
    ApplicationGatewayAvailableSslOptions,
    ApplicationGatewayAvailableSslPredefinedPolicies,
    ApplicationGatewayProbeHealthResponseMatch,
    ApplicationGatewayRedirectConfiguration,
    ApplicationGatewaySslPredefinedPolicy,
    EndpointServiceResult,
    EndpointServicesListResult,
    InboundNatRuleListResult,
    LoadBalancerBackendAddressPoolListResult,
    LoadBalancerFrontendIPConfigurationListResult,
    LoadBalancerLoadBalancingRuleListResult,
    LoadBalancerProbeListResult,
    NetworkInterfaceIPConfigurationListResult,
    NetworkInterfaceLoadBalancerListResult,
    ServiceEndpointPropertiesFormat,
    VirtualNetworkConnectionGatewayReference,
    VirtualNetworkGatewayConnectionListEntity,
    VirtualNetworkGatewayListConnectionsResult,
    ApplicationSecurityGroup,
    ApplicationSecurityGroupListResult,
    Availability,
    AvailableProvidersList,
    AvailableProvidersListCity,
    AvailableProvidersListCountry,
    AvailableProvidersListParameters,
    AvailableProvidersListState,
    AzureReachabilityReport,
    AzureReachabilityReportItem,
    AzureReachabilityReportLatencyInfo,
    AzureReachabilityReportLocation,
    AzureReachabilityReportParameters,
    ConnectionMonitor,
    ConnectionMonitorDestination,
    ConnectionMonitorListResult,
    ConnectionMonitorParameters,
    ConnectionMonitorQueryResult,
    ConnectionMonitorResult,
    ConnectionMonitorResultProperties,
    ConnectionMonitorSource,
    ConnectionStateSnapshot,
    Dimension,
    LoadBalancerSku,
    LogSpecification,
    MetricSpecification,
    Operation,
    OperationDisplay,
    OperationListResult,
    OperationPropertiesFormatServiceSpecification,
    PublicIPAddressSku,
    TagsObject,
    VpnDeviceScriptParameters,
    IpTag,
    TrafficAnalyticsConfigurationProperties,
    DdosProtectionPlan,
    DdosProtectionPlanListResult,
    ExpressRouteCircuitConnection,
    ExpressRouteCircuitReference,
    ExpressRouteCrossConnection,
    ExpressRouteCrossConnectionListResult,
    ExpressRouteCrossConnectionPeering,
    ExpressRouteCrossConnectionPeeringList,
    ExpressRouteCrossConnectionRoutesTableSummary,
    ExpressRouteCrossConnectionsRoutesTableSummaryListResult,
    HTTPConfiguration,
    HTTPHeader,
    ProtocolConfiguration,
    VpnClientIPsecParameters,
    ApplicationGatewayAutoscaleBounds,
    ApplicationGatewayAutoscaleConfiguration,
    AzureFirewall,
    AzureFirewallApplicationRule,
    AzureFirewallApplicationRuleCollection,
    AzureFirewallApplicationRuleProtocol,
    AzureFirewallIPConfiguration,
    AzureFirewallListResult,
    AzureFirewallNetworkRule,
    AzureFirewallNetworkRuleCollection,
    AzureFirewallRCAction,
    DeviceProperties,
    GetVpnSitesConfigurationRequest,
    HubVirtualNetworkConnection,
    ListHubVirtualNetworkConnectionsResult,
    ListVirtualHubsResult,
    ListVirtualWANsResult,
    ListVpnConnectionsResult,
    ListVpnGatewaysResult,
    ListVpnSitesResult,
    Policies,
    TrafficAnalyticsProperties,
    VirtualHub,
    VirtualWAN,
    VpnConnection,
    VpnGateway,
    VpnSite,
    VpnSiteId,
    ErrorResponse,
    EvaluatedNetworkSecurityGroup,
    MatchedRule,
    NetworkConfigurationDiagnosticParameters,
    NetworkConfigurationDiagnosticResponse,
    NetworkConfigurationDiagnosticResult,
    NetworkSecurityGroupResult,
    NetworkSecurityRulesEvaluationResult,
    TrafficQuery,
    OutboundRule,
    PublicIPPrefix,
    PublicIPPrefixListResult,
    PublicIPPrefixSku,
    ReferencedPublicIpAddress,
    ServiceEndpointPolicy,
    ServiceEndpointPolicyDefinition,
    ServiceEndpointPolicyDefinitionListResult,
    ServiceEndpointPolicyListResult,
    ApplicationGatewayCustomError,
    ApplicationGatewayFirewallExclusion,
    ApplicationGatewayTrustedRootCertificate,
    AvailableDelegation,
    AvailableDelegationsResult,
    AzureFirewallFqdnTag,
    AzureFirewallFqdnTagListResult,
    AzureFirewallNatRCAction,
    AzureFirewallNatRule,
    AzureFirewallNatRuleCollection,
    Container,
    ContainerNetworkInterface,
    ContainerNetworkInterfaceConfiguration,
    ContainerNetworkInterfaceIpConfiguration,
    Delegation,
    EndpointService,
    ExpressRouteCircuitPeeringId,
    ExpressRouteConnection,
    ExpressRouteConnectionId,
    ExpressRouteConnectionList,
    ExpressRouteGateway,
    ExpressRouteGatewayList,
    ExpressRouteGatewayPropertiesAutoScaleConfiguration,
    ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds,
    ExpressRouteLink,
    ExpressRouteLinkListResult,
    ExpressRoutePort,
    ExpressRoutePortListResult,
    ExpressRoutePortsLocation,
    ExpressRoutePortsLocationBandwidths,
    ExpressRoutePortsLocationListResult,
    IPConfigurationProfile,
    InterfaceEndpoint,
    InterfaceEndpointListResult,
    ListP2SVpnGatewaysResult,
    ListP2SVpnServerConfigurationsResult,
    LoadBalancerOutboundRuleListResult,
    NetworkConfigurationDiagnosticProfile,
    NetworkInterfaceTapConfiguration,
    NetworkInterfaceTapConfigurationListResult,
    NetworkProfile,
    NetworkProfileListResult,
    P2SVpnGateway,
    P2SVpnProfileParameters,
    P2SVpnServerConfigRadiusClientRootCertificate,
    P2SVpnServerConfigRadiusServerRootCertificate,
    P2SVpnServerConfigVpnClientRevokedCertificate,
    P2SVpnServerConfigVpnClientRootCertificate,
    P2SVpnServerConfiguration,
    ServiceAssociationLink,
    VirtualHubId,
    VirtualHubRoute,
    VirtualHubRouteTable,
    VirtualNetworkTap,
    VirtualNetworkTapListResult,
    VirtualWanSecurityProvider,
    VirtualWanSecurityProviders,
    VpnClientConnectionHealth,
    VpnProfileResponse,
    ApplicationGatewayHeaderConfiguration,
    ApplicationGatewayRewriteRule,
    ApplicationGatewayRewriteRuleActionSet,
    ApplicationGatewayRewriteRuleSet,
    Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties,
    ExpressRouteCircuitConnectionListResult,
    FlowLogFormatParameters,
    ManagedServiceIdentity,
    CloudErrorBody,
    DdosCustomPolicy,
    DdosSettings,
    ProtocolCustomSettingsFormat,
    ApplicationGatewayRewriteRuleCondition,
    MatchCondition,
    MatchVariable,
    NetworkIntentPolicy,
    NetworkIntentPolicyConfiguration,
    PeerExpressRouteCircuitConnection,
    PeerExpressRouteCircuitConnectionListResult,
    PolicySettings,
    PrepareNetworkPoliciesRequest,
    WebApplicationFirewallCustomRule,
    WebApplicationFirewallPolicy,
    WebApplicationFirewallPolicyListResult,
    ApplicationGatewayBackendHealthOnDemand,
    ApplicationGatewayOnDemandProbe,
    NatGateway,
    NatGatewayListResult,
    NatGatewaySku,
    ResourceNavigationLinksListResult,
    ServiceAssociationLinksListResult,
    AutoApprovedPrivateLinkService,
    AutoApprovedPrivateLinkServicesResult,
    AvailablePrivateEndpointType,
    AvailablePrivateEndpointTypesResult,
    BastionHost,
    BastionHostIPConfiguration,
    BastionHostListResult,
    CheckPrivateLinkServiceVisibilityRequest,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointListResult,
    PrivateLinkService,
    PrivateLinkServiceConnection,
    PrivateLinkServiceConnectionState,
    PrivateLinkServiceIpConfiguration,
    PrivateLinkServiceListResult,
    ResourceSet,
    PrivateLinkServicePropertiesAutoApproval,
    PrivateLinkServicePropertiesVisibility,
    PrivateLinkServiceVisibility,
    ServiceTagInformation,
    ServiceTagInformationPropertiesFormat,
    ServiceTagsListResult,
    VpnClientConnectionHealthDetail,
    VpnClientConnectionHealthDetailListResult,
    FirewallPolicyRuleCondition,
    ApplicationRuleCondition,
    AzureFirewallPublicIPAddress,
    FirewallPolicy,
    FirewallPolicyRule,
    FirewallPolicyFilterRule,
    FirewallPolicyFilterRuleAction,
    FirewallPolicyListResult,
    FirewallPolicyNatRule,
    FirewallPolicyNatRuleAction,
    FirewallPolicyRuleConditionApplicationProtocol,
    FirewallPolicyRuleGroup,
    FirewallPolicyRuleGroupListResult,
    HubIPAddresses,
    ListVpnSiteLinkConnectionsResult,
    ListVpnSiteLinksResult,
    NetworkRuleCondition,
    UnprepareNetworkPoliciesRequest,
    VpnLinkBgpSettings,
    VpnLinkProviderProperties,
    VpnSiteLink,
    VpnSiteLinkConnection,
    ExpressRouteLinkMacSecConfig,
    NetworkInterfaceIPConfigurationPrivateLinkConnectionProperties,
    TrafficSelectorPolicy,
    VirtualRouter,
    VirtualRouterListResult,
    VirtualRouterPeering,
    VirtualRouterPeeringListResult,
    VpnPacketCaptureStartParameters,
    VpnPacketCaptureStopParameters,
    AadAuthenticationParameters,
    AvailableServiceAlias,
    AvailableServiceAliasesResult,
    AzureFirewallSku,
    ListVpnServerConfigurationsResult,
    ManagedRuleGroupOverride,
    ManagedRuleOverride,
    ManagedRuleSet,
    ManagedRulesDefinition,
    OwaspCrsExclusionEntry,
    P2SConnectionConfiguration,
    P2SVpnConnectionHealth,
    P2SVpnConnectionHealthRequest,
    VirtualNetworkBgpCommunities,
    VirtualWanVpnProfileParameters,
    VpnServerConfigRadiusClientRootCertificate,
    VpnServerConfigRadiusServerRootCertificate,
    VpnServerConfigVpnClientRevokedCertificate,
    VpnServerConfigVpnClientRootCertificate,
    VpnServerConfiguration,
    VpnServerConfigurationsResponse,
    BastionActiveSession,
    BastionActiveSessionListResult,
    BastionSessionDeleteResult,
    BastionSessionState,
    BastionShareableLink,
    BastionShareableLinkListRequest,
    BastionShareableLinkListResult,
    IpGroup,
    IpGroupListResult,
    ListVirtualHubRouteTableV2SResult,
    PrivateEndpointConnectionListResult,
    SessionIds,
    VM,
    VirtualHubRouteTableV2,
    VirtualHubRouteV2,
    ApplicationGatewayUrlConfiguration,
    AzureFirewallIpGroups,
    ConnectionMonitorEndpoint,
    ConnectionMonitorEndpointFilter,
    ConnectionMonitorEndpointFilterItem,
    ConnectionMonitorHttpConfiguration,
    ConnectionMonitorIcmpConfiguration,
    ConnectionMonitorOutput,
    ConnectionMonitorSuccessThreshold,
    ConnectionMonitorTcpConfiguration,
    ConnectionMonitorTestConfiguration,
    ConnectionMonitorTestGroup,
    ConnectionMonitorWorkspaceSettings,
    FlowLog,
    FlowLogListResult,
    P2SVpnConnectionRequest,
    IPConfigurationBgpPeeringAddress,
    Ipv6CircuitConnectionConfig,
    NatRuleCondition,
    NetworkVirtualAppliance,
    NetworkVirtualApplianceListResult,
    VirtualApplianceNicProperties,
    VirtualApplianceSkuProperties,
    CustomDnsConfigPropertiesFormat,
    IpAllocation,
    IpAllocationListResult,
    PrivateDnsZoneConfig,
    PrivateDnsZoneGroup,
    PrivateDnsZoneGroupListResult,
    RadiusServer,
    RecordSet,
    SecurityPartnerProvider,
    SecurityPartnerProviderListResult,
    FirewallPolicyThreatIntelWhitelist,
    HubRoute,
    HubRouteTable,
    ListHubRouteTablesResult,
    LoadBalancerBackendAddress,
    PropagatedRouteTable,
    RoutingConfiguration,
    StaticRoute,
    VnetRoute,
    ApplicationGatewayPrivateEndpointConnection,
    ApplicationGatewayPrivateEndpointConnectionListResult,
    ApplicationGatewayPrivateLinkConfiguration,
    ApplicationGatewayPrivateLinkIpConfiguration,
    ApplicationGatewayPrivateLinkResource,
    ApplicationGatewayPrivateLinkResourceListResult,
    ApplicationRule,
    BgpConnection,
    BreakOutCategoryPolicies,
    DnsSettings,
    EffectiveRoutesParameters,
    FirewallPolicyRuleCollection,
    FirewallPolicyFilterRuleCollection,
    FirewallPolicyFilterRuleCollectionAction,
    FirewallPolicyNatRuleCollection,
    FirewallPolicyNatRuleCollectionAction,
    FirewallPolicyRuleApplicationProtocol,
    FirewallPolicyRuleCollectionGroup,
    FirewallPolicyRuleCollectionGroupListResult,
    HopLink,
    HubIpConfiguration,
    HubPublicIPAddresses,
    ListVirtualHubBgpConnectionResults,
    ListVirtualHubIpConfigurationResults,
    NatRule,
    NetworkRule,
    NetworkVirtualApplianceSiteListResult,
    NetworkVirtualApplianceSku,
    NetworkVirtualApplianceSkuInstances,
    NetworkVirtualApplianceSkuListResult,
    Office365PolicyProperties,
    VirtualApplianceSite,
    VirtualHubEffectiveRoute,
    VirtualHubEffectiveRouteList,
    ApplicationGatewayClientAuthConfiguration,
    ApplicationGatewaySslProfile,
    ApplicationGatewayTrustedClientCertificate,
    ConnectionMonitorEndpointScope,
    ConnectionMonitorEndpointScopeItem,
    CustomIpPrefix,
    CustomIpPrefixListResult,
    DscpConfiguration,
    DscpConfigurationListResult,
    GenerateExpressRoutePortsLOARequest,
    GenerateExpressRoutePortsLOAResult,
    InboundSecurityRule,
    InboundSecurityRules,
    O365BreakOutCategoryPolicies,
    O365PolicyProperties,
    PeerRoute,
    PeerRouteList,
    QosIpRange,
    QosPortRange,
    VpnConnectionPacketCaptureStartParameters,
    VpnConnectionPacketCaptureStopParameters,
    VpnGatewayIpConfiguration,
    VpnGatewayPacketCaptureStartParameters,
    VpnGatewayPacketCaptureStopParameters,
    AzureWebCategory,
    AzureWebCategoryListResult,
    ExtendedLocation,
    FirewallPolicyCertificateAuthority,
    FirewallPolicyIntrusionDetection,
    FirewallPolicyIntrusionDetectionBypassTrafficSpecifications,
    FirewallPolicyIntrusionDetectionConfiguration,
    FirewallPolicyIntrusionDetectionSignatureSpecification,
    FirewallPolicySku,
    FirewallPolicyTransportSecurity,
    ListVpnGatewayNatRulesResult,
    ProxyResource,
    VpnGatewayNatRule,
    VpnNatRuleMapping,
    FirewallPolicyInsights,
    FirewallPolicyLogAnalyticsResources,
    FirewallPolicyLogAnalyticsWorkspace,
    FirewallPolicySNAT,
    GatewayLoadBalancerTunnelInterface,
    ListVirtualNetworkGatewayNatRulesResult,
    LoadBalancerVipSwapRequest,
    LoadBalancerVipSwapRequestFrontendIPConfiguration,
    Sku,
    VirtualNetworkGatewayNatRule,
    ActiveBaseSecurityAdminRule,
    ActiveBaseSecurityUserRule,
    ActiveConfigurationParameter,
    EffectiveConnectivityConfiguration,
    ActiveConnectivityConfiguration,
    ActiveConnectivityConfigurationsListResult,
    ActiveDefaultSecurityAdminRule,
    ActiveDefaultSecurityUserRule,
    ActiveSecurityAdminRule,
    ActiveSecurityAdminRulesListResult,
    ActiveSecurityUserRule,
    ActiveSecurityUserRulesListResult,
    AddressPrefixItem,
    ChildResource,
    BaseAdminRule,
    AdminRule,
    AdminRuleListResult,
    BaseUserRule,
    ConfigurationGroup,
    ConnectivityConfiguration,
    ConnectivityConfigurationListResult,
    ConnectivityGroupItem,
    DefaultAdminRule,
    DefaultUserRule,
    EffectiveBaseSecurityAdminRule,
    EffectiveDefaultSecurityAdminRule,
    EffectiveSecurityAdminRule,
    EffectiveVirtualNetwork,
    EffectiveVirtualNetworksListResult,
    EffectiveVirtualNetworksParameter,
    GroupMembersItem,
    Hub,
    NetworkGroup,
    NetworkGroupListResult,
    NetworkManager,
    NetworkManagerCommit,
    NetworkManagerDeploymentStatus,
    NetworkManagerDeploymentStatusListResult,
    NetworkManagerDeploymentStatusParameter,
    NetworkManagerEffectiveConnectivityConfigurationListResult,
    NetworkManagerEffectiveSecurityAdminRulesListResult,
    NetworkManagerListResult,
    NetworkManagerPropertiesNetworkManagerScopes,
    NetworkManagerSecurityGroupItem,
    NetworkSecurityPerimeter,
    NetworkSecurityPerimeterListResult,
    NspAccessRule,
    NspAccessRuleListResult,
    NspAssociation,
    NspAssociationsListResult,
    NspLink,
    NspLinkListResult,
    NspLinkReference,
    NspLinkReferenceListResult,
    NspProfile,
    NspProfileListResult,
    PerimeterAssociableResource,
    PerimeterAssociableResourcesListResult,
    PerimeterBasedAccessRule,
    QueryRequestOptions,
    RuleCollection,
    RuleCollectionListResult,
    SecurityConfiguration,
    SecurityConfigurationListResult,
    SubscriptionId,
    SystemData,
    UserRule,
    UserRuleListResult,
    Action,
    AdminRuleCollection,
    AdminRuleCollectionListResult,
    ApplicationGatewayBackendSettings,
    ApplicationGatewayFirewallManifestRuleSet,
    ApplicationGatewayGlobalConfiguration,
    ApplicationGatewayListener,
    ApplicationGatewayLoadDistributionPolicy,
    ApplicationGatewayLoadDistributionTarget,
    ApplicationGatewayRoutingRule,
    ApplicationGatewayWafDynamicManifestResult,
    ApplicationGatewayWafDynamicManifestResultList,
    BackendAddressInboundNatRulePortMappings,
    Criterion,
    CrossTenantScopes,
    DelegationProperties,
    EffectiveRouteMapRoute,
    ExclusionManagedRule,
    ExclusionManagedRuleGroup,
    ExclusionManagedRuleSet,
    ExplicitProxy,
    ExpressRoutePortAuthorization,
    ExpressRoutePortAuthorizationListResult,
    ExpressRouteProviderPort,
    ExpressRouteProviderPortListResult,
    FilterItems,
    FirewallPolicySQL,
    GatewayCustomBgpIpAddressIpConfiguration,
    GetInboundRoutesParameters,
    GetOutboundRoutesParameters,
    IDPSQueryObject,
    IPPrefixesList,
    InboundNatRulePortMapping,
    ListRouteMapsResult,
    ListRoutingIntentResult,
    ListVpnServerConfigurationPolicyGroupsResult,
    NatRulePortMapping,
    NetworkManagerConnection,
    NetworkManagerConnectionListResult,
    OrderBy,
    PacketCaptureMachineScope,
    Parameter,
    PartnerManagedResourceProperties,
    PatchObject,
    PrivateEndpointIPConfiguration,
    PublicIpDdosProtectionStatusResult,
    QosDefinition,
    QueryInboundNatRulePortMappingRequest,
    QueryResults,
    RouteMap,
    RouteMapRule,
    RoutingIntent,
    RoutingPolicy,
    ScopeConnection,
    ScopeConnectionListResult,
    SecurityAdminConfiguration,
    SecurityAdminConfigurationListResult,
    ServiceTagInformationListResult,
    SignatureOverridesFilterValuesQuery,
    SignatureOverridesFilterValuesResponse,
    SignaturesOverrides,
    SignaturesOverridesList,
    SignaturesOverridesProperties,
    SingleQueryResult,
    StaticMember,
    StaticMemberListResult,
    StaticRoutesConfig,
    SwapResource,
    SwapResourceListResult,
    SwapResourceProperties,
    VirtualNetworkDdosProtectionStatusResult,
    VirtualNetworkEncryption,
    VirtualNetworkGatewayPolicyGroup,
    VirtualNetworkGatewayPolicyGroupMember,
    VirtualRouterAutoScaleConfiguration,
    VngClientConnectionConfiguration,
    VpnServerConfigurationPolicyGroup,
    VpnServerConfigurationPolicyGroupMember,
)

from ._enums import (
    ApplicationGatewayCookieBasedAffinity,
    ApplicationGatewayOperationalState,
    ApplicationGatewayProtocol,
    ApplicationGatewayRequestRoutingRuleType,
    ApplicationGatewaySkuName,
    ApplicationGatewayTier,
    AuthorizationUseStatus,
    ExpressRouteCircuitPeeringAdvertisedPublicPrefixState,
    ExpressRouteCircuitPeeringState,
    ExpressRouteCircuitPeeringType,
    ExpressRouteCircuitSkuFamily,
    ExpressRouteCircuitSkuTier,
    IPAllocationMethod,
    LoadDistribution,
    NetworkOperationStatus,
    ProbeProtocol,
    ProcessorArchitecture,
    RouteNextHopType,
    SecurityRuleAccess,
    SecurityRuleDirection,
    SecurityRuleProtocol,
    ServiceProviderProvisioningState,
    TransportProtocol,
    UsageUnit,
    VirtualNetworkGatewayConnectionStatus,
    VirtualNetworkGatewayConnectionType,
    VirtualNetworkGatewaySkuName,
    VirtualNetworkGatewaySkuTier,
    VirtualNetworkGatewayType,
    VpnType,
    Access,
    ApplicationGatewayBackendHealthServerHealth,
    ApplicationGatewayFirewallMode,
    ApplicationGatewaySslProtocol,
    AssociationType,
    BgpPeerState,
    Direction,
    EffectiveRouteSource,
    EffectiveRouteState,
    IPVersion,
    NextHopType,
    PcError,
    PcProtocol,
    PcStatus,
    Protocol,
    ProvisioningState,
    VirtualNetworkPeeringState,
    RouteFilterRuleType,
    ConnectionStatus,
    DhGroup,
    IkeEncryption,
    IkeIntegrity,
    IpsecEncryption,
    IpsecIntegrity,
    IssueType,
    Origin,
    PfsGroup,
    Severity,
    ApplicationGatewayRedirectType,
    ApplicationGatewaySslCipherSuite,
    ApplicationGatewaySslPolicyName,
    ApplicationGatewaySslPolicyType,
    AuthenticationMethod,
    EffectiveSecurityRuleProtocol,
    VpnClientProtocol,
    ConnectionState,
    EvaluationState,
    LoadBalancerSkuName,
    PublicIPAddressSkuName,
    CircuitConnectionStatus,
    ConnectionMonitorSourceStatus,
    ExpressRoutePeeringState,
    ExpressRoutePeeringType,
    HTTPMethod,
    IpFlowProtocol,
    AzureFirewallApplicationRuleProtocolType,
    AzureFirewallNetworkRuleProtocol,
    AzureFirewallRCActionType,
    HubVirtualNetworkConnectionStatus,
    TunnelConnectionStatus,
    VpnConnectionStatus,
    OutboundRulePropertiesFormatProtocol,
    PublicIPPrefixSkuName,
    ApplicationGatewayCustomErrorStatusCode,
    AzureFirewallNatRCActionType,
    ExpressRouteLinkAdminState,
    ExpressRouteLinkConnectorType,
    ExpressRoutePortsEncapsulation,
    OfficeTrafficCategory,
    VerbosityLevel,
    VirtualNetworkGatewayConnectionProtocol,
    VirtualWanSecurityProviderType,
    VpnGatewayTunnelingProtocol,
    FlowLogFormatType,
    ResourceIdentityType,
    DdosCustomPolicyProtocol,
    DdosCustomPolicyTriggerSensitivityOverride,
    DdosSettingsProtectionCoverage,
    AzureFirewallThreatIntelMode,
    WebApplicationFirewallAction,
    WebApplicationFirewallEnabledState,
    WebApplicationFirewallMatchVariable,
    WebApplicationFirewallMode,
    WebApplicationFirewallOperator,
    WebApplicationFirewallPolicyResourceState,
    WebApplicationFirewallRuleType,
    WebApplicationFirewallTransform,
    LoadBalancerOutboundRuleProtocol,
    NatGatewaySkuName,
    FirewallPolicyFilterRuleActionType,
    FirewallPolicyNatRuleActionType,
    FirewallPolicyRuleConditionApplicationProtocolType,
    FirewallPolicyRuleConditionNetworkProtocol,
    FirewallPolicyRuleConditionType,
    FirewallPolicyRuleType,
    ExpressRouteLinkMacSecCipher,
    VpnGatewayGeneration,
    AzureFirewallSkuName,
    AzureFirewallSkuTier,
    ManagedRuleEnabledState,
    OwaspCrsExclusionEntryMatchVariable,
    OwaspCrsExclusionEntrySelectorMatchOperator,
    VpnAuthenticationType,
    BastionConnectProtocol,
    ConnectionMonitorEndpointFilterItemType,
    ConnectionMonitorEndpointFilterType,
    ConnectionMonitorTestConfigurationProtocol,
    ConnectionMonitorType,
    HTTPConfigurationMethod,
    OutputType,
    PreferredIPVersion,
    IpAllocationType,
    SecurityPartnerProviderConnectionStatus,
    SecurityProviderName,
    FirewallPolicyFilterRuleCollectionActionType,
    FirewallPolicyNatRuleCollectionActionType,
    FirewallPolicyRuleApplicationProtocolType,
    FirewallPolicyRuleCollectionType,
    FirewallPolicyRuleNetworkProtocol,
    HubBgpConnectionStatus,
    RoutingState,
    CommissionedState,
    CoverageLevel,
    DestinationPortBehavior,
    EndpointType,
    ExpressRouteLinkMacSecSciState,
    InboundSecurityRulesProtocol,
    ProtocolType,
    ExtendedLocationTypes,
    FirewallPolicyIntrusionDetectionProtocol,
    FirewallPolicyIntrusionDetectionStateType,
    FirewallPolicySkuTier,
    LoadBalancerSkuTier,
    NetworkInterfaceNicType,
    PublicIPAddressMigrationPhase,
    PublicIPAddressSkuTier,
    PublicIPPrefixSkuTier,
    VirtualNetworkGatewayConnectionMode,
    VirtualNetworkPrivateEndpointNetworkPolicies,
    VirtualNetworkPrivateLinkServiceNetworkPolicies,
    NetworkInterfaceMigrationPhase,
    PublicIpAddressMigrationPhase,
    VpnLinkConnectionMode,
    VpnNatRuleMode,
    VpnNatRuleType,
    BastionHostSkuName,
    DeleteOptions,
    GatewayLoadBalancerTunnelInterfaceType,
    GatewayLoadBalancerTunnelProtocol,
    PreferredRoutingGateway,
    SyncRemoteAddressSpace,
    VirtualNetworkPeeringLevel,
    AccessRuleDirection,
    AddressPrefixType,
    AdminRuleKind,
    AssociationAccessMode,
    ConfigurationType,
    ConnectivityTopology,
    CreatedByType,
    DeleteExistingNSGs,
    DeleteExistingPeering,
    DeploymentStatus,
    EffectiveAdminRuleKind,
    EffectiveUserRuleKind,
    GroupConnectivity,
    IsGlobal,
    MembershipType,
    NspLinkStatus,
    NspProvisioningState,
    SecurityConfigurationRuleAccess,
    SecurityConfigurationRuleDirection,
    SecurityConfigurationRuleProtocol,
    SecurityType,
    UseHubGateway,
    UserRuleKind,
    ActionType,
    ApplicationGatewayClientRevocationOptions,
    ApplicationGatewayLoadDistributionAlgorithm,
    ApplicationGatewayRuleSetStatusOptions,
    ApplicationGatewayTierTypes,
    ApplicationGatewayWafRuleActionTypes,
    ApplicationGatewayWafRuleStateTypes,
    AutoLearnPrivateRangesMode,
    CustomIpPrefixType,
    DdosSettingsProtectionMode,
    ExpressRoutePortAuthorizationUseStatus,
    ExpressRoutePortsBillingType,
    FirewallPolicyIDPSQuerySortOrder,
    FirewallPolicyIDPSSignatureDirection,
    FirewallPolicyIDPSSignatureMode,
    FirewallPolicyIDPSSignatureSeverity,
    Geo,
    HubRoutingPreference,
    IsWorkloadProtected,
    LoadBalancerBackendAddressAdminState,
    NetworkIntentPolicyBasedService,
    NetworkInterfaceAuxiliaryMode,
    NextStep,
    PacketCaptureTargetType,
    RouteMapActionType,
    RouteMapMatchCondition,
    ScopeConnectionState,
    SlotType,
    VirtualNetworkEncryptionEnforcement,
    VnetLocalRouteOverrideCriteria,
    VpnPolicyMemberAttributeType,
)

from ._patch import __all__ as _patch_all
from ._patch import *  # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AddressSpace",
    "Resource",
    "ApplicationGateway",
    "ApplicationGatewayBackendAddress",
    "SubResource",
    "ApplicationGatewayBackendAddressPool",
    "ApplicationGatewayBackendHttpSettings",
    "ApplicationGatewayFrontendIPConfiguration",
    "ApplicationGatewayFrontendPort",
    "ApplicationGatewayHttpListener",
    "ApplicationGatewayIPConfiguration",
    "ApplicationGatewayListResult",
    "ApplicationGatewayPathRule",
    "ApplicationGatewayProbe",
    "ApplicationGatewayRequestRoutingRule",
    "ApplicationGatewaySku",
    "ApplicationGatewaySslCertificate",
    "ApplicationGatewayUrlPathMap",
    "AuthorizationListResult",
    "AzureAsyncOperationResult",
    "BackendAddressPool",
    "BgpSettings",
    "ConnectionResetSharedKey",
    "ConnectionSharedKey",
    "ConnectionSharedKeyResult",
    "DhcpOptions",
    "DnsNameAvailabilityResult",
    "Error",
    "ErrorDetails",
    "ExpressRouteCircuit",
    "ExpressRouteCircuitArpTable",
    "ExpressRouteCircuitAuthorization",
    "ExpressRouteCircuitListResult",
    "ExpressRouteCircuitPeering",
    "ExpressRouteCircuitPeeringConfig",
    "ExpressRouteCircuitPeeringListResult",
    "ExpressRouteCircuitRoutesTable",
    "ExpressRouteCircuitServiceProviderProperties",
    "ExpressRouteCircuitSku",
    "ExpressRouteCircuitStats",
    "ExpressRouteCircuitsArpTableListResult",
    "ExpressRouteCircuitsRoutesTableListResult",
    "ExpressRouteCircuitsStatsListResult",
    "ExpressRouteServiceProvider",
    "ExpressRouteServiceProviderBandwidthsOffered",
    "ExpressRouteServiceProviderListResult",
    "FrontendIPConfiguration",
    "IPConfiguration",
    "InboundNatPool",
    "InboundNatRule",
    "LoadBalancer",
    "LoadBalancerListResult",
    "LoadBalancingRule",
    "LocalNetworkGateway",
    "LocalNetworkGatewayListResult",
    "NetworkInterface",
    "NetworkInterfaceDnsSettings",
    "NetworkInterfaceIPConfiguration",
    "NetworkInterfaceListResult",
    "NetworkSecurityGroup",
    "NetworkSecurityGroupListResult",
    "OutboundNatRule",
    "Probe",
    "PublicIPAddress",
    "PublicIPAddressDnsSettings",
    "PublicIPAddressListResult",
    "Route",
    "RouteListResult",
    "RouteTable",
    "RouteTableListResult",
    "SecurityRule",
    "SecurityRuleListResult",
    "Subnet",
    "SubnetListResult",
    "Usage",
    "UsageName",
    "UsagesListResult",
    "VirtualNetwork",
    "VirtualNetworkGateway",
    "VirtualNetworkGatewayConnection",
    "VirtualNetworkGatewayConnectionListResult",
    "VirtualNetworkGatewayIPConfiguration",
    "VirtualNetworkGatewayListResult",
    "VirtualNetworkGatewaySku",
    "VirtualNetworkListResult",
    "VpnClientConfiguration",
    "VpnClientParameters",
    "VpnClientRevokedCertificate",
    "VpnClientRootCertificate",
    "ApplicationGatewayAuthenticationCertificate",
    "ApplicationGatewayBackendHealth",
    "ApplicationGatewayBackendHealthHttpSettings",
    "ApplicationGatewayBackendHealthPool",
    "ApplicationGatewayBackendHealthServer",
    "ApplicationGatewaySslPolicy",
    "ApplicationGatewayWebApplicationFirewallConfiguration",
    "BgpPeerStatus",
    "BgpPeerStatusListResult",
    "EffectiveNetworkSecurityGroup",
    "EffectiveNetworkSecurityGroupAssociation",
    "EffectiveNetworkSecurityGroupListResult",
    "EffectiveNetworkSecurityRule",
    "EffectiveRoute",
    "EffectiveRouteListResult",
    "ExpressRouteCircuitRoutesTableSummary",
    "ExpressRouteCircuitsRoutesTableSummaryListResult",
    "FlowLogInformation",
    "FlowLogStatusParameters",
    "GatewayRoute",
    "GatewayRouteListResult",
    "IPAddressAvailabilityResult",
    "NetworkInterfaceAssociation",
    "NetworkWatcher",
    "NetworkWatcherListResult",
    "NextHopParameters",
    "NextHopResult",
    "PacketCapture",
    "PacketCaptureFilter",
    "PacketCaptureListResult",
    "PacketCaptureParameters",
    "PacketCaptureQueryStatusResult",
    "PacketCaptureResult",
    "PacketCaptureResultProperties",
    "PacketCaptureStorageLocation",
    "QueryTroubleshootingParameters",
    "ResourceNavigationLink",
    "RetentionPolicyParameters",
    "SecurityGroupNetworkInterface",
    "SecurityGroupViewParameters",
    "SecurityGroupViewResult",
    "SecurityRuleAssociations",
    "SubnetAssociation",
    "Topology",
    "TopologyAssociation",
    "TopologyParameters",
    "TopologyResource",
    "TroubleshootingDetails",
    "TroubleshootingParameters",
    "TroubleshootingRecommendedActions",
    "TroubleshootingResult",
    "TunnelConnectionHealth",
    "VerificationIPFlowParameters",
    "VerificationIPFlowResult",
    "VirtualNetworkPeering",
    "VirtualNetworkPeeringListResult",
    "ApplicationGatewayConnectionDraining",
    "BGPCommunity",
    "BgpServiceCommunity",
    "BgpServiceCommunityListResult",
    "PatchRouteFilter",
    "PatchRouteFilterRule",
    "RouteFilter",
    "RouteFilterListResult",
    "RouteFilterRule",
    "RouteFilterRuleListResult",
    "ApplicationGatewayAvailableWafRuleSetsResult",
    "ApplicationGatewayFirewallDisabledRuleGroup",
    "ApplicationGatewayFirewallRule",
    "ApplicationGatewayFirewallRuleGroup",
    "ApplicationGatewayFirewallRuleSet",
    "ConnectivityDestination",
    "ConnectivityHop",
    "ConnectivityInformation",
    "ConnectivityIssue",
    "ConnectivityParameters",
    "ConnectivitySource",
    "IpsecPolicy",
    "Ipv6ExpressRouteCircuitPeeringConfig",
    "VirtualNetworkListUsageResult",
    "VirtualNetworkUsage",
    "VirtualNetworkUsageName",
    "ApplicationGatewayAvailableSslOptions",
    "ApplicationGatewayAvailableSslPredefinedPolicies",
    "ApplicationGatewayProbeHealthResponseMatch",
    "ApplicationGatewayRedirectConfiguration",
    "ApplicationGatewaySslPredefinedPolicy",
    "EndpointServiceResult",
    "EndpointServicesListResult",
    "InboundNatRuleListResult",
    "LoadBalancerBackendAddressPoolListResult",
    "LoadBalancerFrontendIPConfigurationListResult",
    "LoadBalancerLoadBalancingRuleListResult",
    "LoadBalancerProbeListResult",
    "NetworkInterfaceIPConfigurationListResult",
    "NetworkInterfaceLoadBalancerListResult",
    "ServiceEndpointPropertiesFormat",
    "VirtualNetworkConnectionGatewayReference",
    "VirtualNetworkGatewayConnectionListEntity",
    "VirtualNetworkGatewayListConnectionsResult",
    "ApplicationSecurityGroup",
    "ApplicationSecurityGroupListResult",
    "Availability",
    "AvailableProvidersList",
    "AvailableProvidersListCity",
    "AvailableProvidersListCountry",
    "AvailableProvidersListParameters",
    "AvailableProvidersListState",
    "AzureReachabilityReport",
    "AzureReachabilityReportItem",
    "AzureReachabilityReportLatencyInfo",
    "AzureReachabilityReportLocation",
    "AzureReachabilityReportParameters",
    "ConnectionMonitor",
    "ConnectionMonitorDestination",
    "ConnectionMonitorListResult",
    "ConnectionMonitorParameters",
    "ConnectionMonitorQueryResult",
    "ConnectionMonitorResult",
    "ConnectionMonitorResultProperties",
    "ConnectionMonitorSource",
    "ConnectionStateSnapshot",
    "Dimension",
    "LoadBalancerSku",
    "LogSpecification",
    "MetricSpecification",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "OperationPropertiesFormatServiceSpecification",
    "PublicIPAddressSku",
    "TagsObject",
    "VpnDeviceScriptParameters",
    "IpTag",
    "TrafficAnalyticsConfigurationProperties",
    "DdosProtectionPlan",
    "DdosProtectionPlanListResult",
    "ExpressRouteCircuitConnection",
    "ExpressRouteCircuitReference",
    "ExpressRouteCrossConnection",
    "ExpressRouteCrossConnectionListResult",
    "ExpressRouteCrossConnectionPeering",
    "ExpressRouteCrossConnectionPeeringList",
    "ExpressRouteCrossConnectionRoutesTableSummary",
    "ExpressRouteCrossConnectionsRoutesTableSummaryListResult",
    "HTTPConfiguration",
    "HTTPHeader",
    "ProtocolConfiguration",
    "VpnClientIPsecParameters",
    "ApplicationGatewayAutoscaleBounds",
    "ApplicationGatewayAutoscaleConfiguration",
    "AzureFirewall",
    "AzureFirewallApplicationRule",
    "AzureFirewallApplicationRuleCollection",
    "AzureFirewallApplicationRuleProtocol",
    "AzureFirewallIPConfiguration",
    "AzureFirewallListResult",
    "AzureFirewallNetworkRule",
    "AzureFirewallNetworkRuleCollection",
    "AzureFirewallRCAction",
    "DeviceProperties",
    "GetVpnSitesConfigurationRequest",
    "HubVirtualNetworkConnection",
    "ListHubVirtualNetworkConnectionsResult",
    "ListVirtualHubsResult",
    "ListVirtualWANsResult",
    "ListVpnConnectionsResult",
    "ListVpnGatewaysResult",
    "ListVpnSitesResult",
    "Policies",
    "TrafficAnalyticsProperties",
    "VirtualHub",
    "VirtualWAN",
    "VpnConnection",
    "VpnGateway",
    "VpnSite",
    "VpnSiteId",
    "ErrorResponse",
    "EvaluatedNetworkSecurityGroup",
    "MatchedRule",
    "NetworkConfigurationDiagnosticParameters",
    "NetworkConfigurationDiagnosticResponse",
    "NetworkConfigurationDiagnosticResult",
    "NetworkSecurityGroupResult",
    "NetworkSecurityRulesEvaluationResult",
    "TrafficQuery",
    "OutboundRule",
    "PublicIPPrefix",
    "PublicIPPrefixListResult",
    "PublicIPPrefixSku",
    "ReferencedPublicIpAddress",
    "ServiceEndpointPolicy",
    "ServiceEndpointPolicyDefinition",
    "ServiceEndpointPolicyDefinitionListResult",
    "ServiceEndpointPolicyListResult",
    "ApplicationGatewayCustomError",
    "ApplicationGatewayFirewallExclusion",
    "ApplicationGatewayTrustedRootCertificate",
    "AvailableDelegation",
    "AvailableDelegationsResult",
    "AzureFirewallFqdnTag",
    "AzureFirewallFqdnTagListResult",
    "AzureFirewallNatRCAction",
    "AzureFirewallNatRule",
    "AzureFirewallNatRuleCollection",
    "Container",
    "ContainerNetworkInterface",
    "ContainerNetworkInterfaceConfiguration",
    "ContainerNetworkInterfaceIpConfiguration",
    "Delegation",
    "EndpointService",
    "ExpressRouteCircuitPeeringId",
    "ExpressRouteConnection",
    "ExpressRouteConnectionId",
    "ExpressRouteConnectionList",
    "ExpressRouteGateway",
    "ExpressRouteGatewayList",
    "ExpressRouteGatewayPropertiesAutoScaleConfiguration",
    "ExpressRouteGatewayPropertiesAutoScaleConfigurationBounds",
    "ExpressRouteLink",
    "ExpressRouteLinkListResult",
    "ExpressRoutePort",
    "ExpressRoutePortListResult",
    "ExpressRoutePortsLocation",
    "ExpressRoutePortsLocationBandwidths",
    "ExpressRoutePortsLocationListResult",
    "IPConfigurationProfile",
    "InterfaceEndpoint",
    "InterfaceEndpointListResult",
    "ListP2SVpnGatewaysResult",
    "ListP2SVpnServerConfigurationsResult",
    "LoadBalancerOutboundRuleListResult",
    "NetworkConfigurationDiagnosticProfile",
    "NetworkInterfaceTapConfiguration",
    "NetworkInterfaceTapConfigurationListResult",
    "NetworkProfile",
    "NetworkProfileListResult",
    "P2SVpnGateway",
    "P2SVpnProfileParameters",
    "P2SVpnServerConfigRadiusClientRootCertificate",
    "P2SVpnServerConfigRadiusServerRootCertificate",
    "P2SVpnServerConfigVpnClientRevokedCertificate",
    "P2SVpnServerConfigVpnClientRootCertificate",
    "P2SVpnServerConfiguration",
    "ServiceAssociationLink",
    "VirtualHubId",
    "VirtualHubRoute",
    "VirtualHubRouteTable",
    "VirtualNetworkTap",
    "VirtualNetworkTapListResult",
    "VirtualWanSecurityProvider",
    "VirtualWanSecurityProviders",
    "VpnClientConnectionHealth",
    "VpnProfileResponse",
    "ApplicationGatewayHeaderConfiguration",
    "ApplicationGatewayRewriteRule",
    "ApplicationGatewayRewriteRuleActionSet",
    "ApplicationGatewayRewriteRuleSet",
    "Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties",
    "ExpressRouteCircuitConnectionListResult",
    "FlowLogFormatParameters",
    "ManagedServiceIdentity",
    "CloudErrorBody",
    "DdosCustomPolicy",
    "DdosSettings",
    "ProtocolCustomSettingsFormat",
    "ApplicationGatewayRewriteRuleCondition",
    "MatchCondition",
    "MatchVariable",
    "NetworkIntentPolicy",
    "NetworkIntentPolicyConfiguration",
    "PeerExpressRouteCircuitConnection",
    "PeerExpressRouteCircuitConnectionListResult",
    "PolicySettings",
    "PrepareNetworkPoliciesRequest",
    "WebApplicationFirewallCustomRule",
    "WebApplicationFirewallPolicy",
    "WebApplicationFirewallPolicyListResult",
    "ApplicationGatewayBackendHealthOnDemand",
    "ApplicationGatewayOnDemandProbe",
    "NatGateway",
    "NatGatewayListResult",
    "NatGatewaySku",
    "ResourceNavigationLinksListResult",
    "ServiceAssociationLinksListResult",
    "AutoApprovedPrivateLinkService",
    "AutoApprovedPrivateLinkServicesResult",
    "AvailablePrivateEndpointType",
    "AvailablePrivateEndpointTypesResult",
    "BastionHost",
    "BastionHostIPConfiguration",
    "BastionHostListResult",
    "CheckPrivateLinkServiceVisibilityRequest",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointListResult",
    "PrivateLinkService",
    "PrivateLinkServiceConnection",
    "PrivateLinkServiceConnectionState",
    "PrivateLinkServiceIpConfiguration",
    "PrivateLinkServiceListResult",
    "ResourceSet",
    "PrivateLinkServicePropertiesAutoApproval",
    "PrivateLinkServicePropertiesVisibility",
    "PrivateLinkServiceVisibility",
    "ServiceTagInformation",
    "ServiceTagInformationPropertiesFormat",
    "ServiceTagsListResult",
    "VpnClientConnectionHealthDetail",
    "VpnClientConnectionHealthDetailListResult",
    "FirewallPolicyRuleCondition",
    "ApplicationRuleCondition",
    "AzureFirewallPublicIPAddress",
    "FirewallPolicy",
    "FirewallPolicyRule",
    "FirewallPolicyFilterRule",
    "FirewallPolicyFilterRuleAction",
    "FirewallPolicyListResult",
    "FirewallPolicyNatRule",
    "FirewallPolicyNatRuleAction",
    "FirewallPolicyRuleConditionApplicationProtocol",
    "FirewallPolicyRuleGroup",
    "FirewallPolicyRuleGroupListResult",
    "HubIPAddresses",
    "ListVpnSiteLinkConnectionsResult",
    "ListVpnSiteLinksResult",
    "NetworkRuleCondition",
    "UnprepareNetworkPoliciesRequest",
    "VpnLinkBgpSettings",
    "VpnLinkProviderProperties",
    "VpnSiteLink",
    "VpnSiteLinkConnection",
    "ExpressRouteLinkMacSecConfig",
    "NetworkInterfaceIPConfigurationPrivateLinkConnectionProperties",
    "TrafficSelectorPolicy",
    "VirtualRouter",
    "VirtualRouterListResult",
    "VirtualRouterPeering",
    "VirtualRouterPeeringListResult",
    "VpnPacketCaptureStartParameters",
    "VpnPacketCaptureStopParameters",
    "AadAuthenticationParameters",
    "AvailableServiceAlias",
    "AvailableServiceAliasesResult",
    "AzureFirewallSku",
    "ListVpnServerConfigurationsResult",
    "ManagedRuleGroupOverride",
    "ManagedRuleOverride",
    "ManagedRuleSet",
    "ManagedRulesDefinition",
    "OwaspCrsExclusionEntry",
    "P2SConnectionConfiguration",
    "P2SVpnConnectionHealth",
    "P2SVpnConnectionHealthRequest",
    "VirtualNetworkBgpCommunities",
    "VirtualWanVpnProfileParameters",
    "VpnServerConfigRadiusClientRootCertificate",
    "VpnServerConfigRadiusServerRootCertificate",
    "VpnServerConfigVpnClientRevokedCertificate",
    "VpnServerConfigVpnClientRootCertificate",
    "VpnServerConfiguration",
    "VpnServerConfigurationsResponse",
    "BastionActiveSession",
    "BastionActiveSessionListResult",
    "BastionSessionDeleteResult",
    "BastionSessionState",
    "BastionShareableLink",
    "BastionShareableLinkListRequest",
    "BastionShareableLinkListResult",
    "IpGroup",
    "IpGroupListResult",
    "ListVirtualHubRouteTableV2SResult",
    "PrivateEndpointConnectionListResult",
    "SessionIds",
    "VM",
    "VirtualHubRouteTableV2",
    "VirtualHubRouteV2",
    "ApplicationGatewayUrlConfiguration",
    "AzureFirewallIpGroups",
    "ConnectionMonitorEndpoint",
    "ConnectionMonitorEndpointFilter",
    "ConnectionMonitorEndpointFilterItem",
    "ConnectionMonitorHttpConfiguration",
    "ConnectionMonitorIcmpConfiguration",
    "ConnectionMonitorOutput",
    "ConnectionMonitorSuccessThreshold",
    "ConnectionMonitorTcpConfiguration",
    "ConnectionMonitorTestConfiguration",
    "ConnectionMonitorTestGroup",
    "ConnectionMonitorWorkspaceSettings",
    "FlowLog",
    "FlowLogListResult",
    "P2SVpnConnectionRequest",
    "IPConfigurationBgpPeeringAddress",
    "Ipv6CircuitConnectionConfig",
    "NatRuleCondition",
    "NetworkVirtualAppliance",
    "NetworkVirtualApplianceListResult",
    "VirtualApplianceNicProperties",
    "VirtualApplianceSkuProperties",
    "CustomDnsConfigPropertiesFormat",
    "IpAllocation",
    "IpAllocationListResult",
    "PrivateDnsZoneConfig",
    "PrivateDnsZoneGroup",
    "PrivateDnsZoneGroupListResult",
    "RadiusServer",
    "RecordSet",
    "SecurityPartnerProvider",
    "SecurityPartnerProviderListResult",
    "FirewallPolicyThreatIntelWhitelist",
    "HubRoute",
    "HubRouteTable",
    "ListHubRouteTablesResult",
    "LoadBalancerBackendAddress",
    "PropagatedRouteTable",
    "RoutingConfiguration",
    "StaticRoute",
    "VnetRoute",
    "ApplicationGatewayPrivateEndpointConnection",
    "ApplicationGatewayPrivateEndpointConnectionListResult",
    "ApplicationGatewayPrivateLinkConfiguration",
    "ApplicationGatewayPrivateLinkIpConfiguration",
    "ApplicationGatewayPrivateLinkResource",
    "ApplicationGatewayPrivateLinkResourceListResult",
    "ApplicationRule",
    "BgpConnection",
    "BreakOutCategoryPolicies",
    "DnsSettings",
    "EffectiveRoutesParameters",
    "FirewallPolicyRuleCollection",
    "FirewallPolicyFilterRuleCollection",
    "FirewallPolicyFilterRuleCollectionAction",
    "FirewallPolicyNatRuleCollection",
    "FirewallPolicyNatRuleCollectionAction",
    "FirewallPolicyRuleApplicationProtocol",
    "FirewallPolicyRuleCollectionGroup",
    "FirewallPolicyRuleCollectionGroupListResult",
    "HopLink",
    "HubIpConfiguration",
    "HubPublicIPAddresses",
    "ListVirtualHubBgpConnectionResults",
    "ListVirtualHubIpConfigurationResults",
    "NatRule",
    "NetworkRule",
    "NetworkVirtualApplianceSiteListResult",
    "NetworkVirtualApplianceSku",
    "NetworkVirtualApplianceSkuInstances",
    "NetworkVirtualApplianceSkuListResult",
    "Office365PolicyProperties",
    "VirtualApplianceSite",
    "VirtualHubEffectiveRoute",
    "VirtualHubEffectiveRouteList",
    "ApplicationGatewayClientAuthConfiguration",
    "ApplicationGatewaySslProfile",
    "ApplicationGatewayTrustedClientCertificate",
    "ConnectionMonitorEndpointScope",
    "ConnectionMonitorEndpointScopeItem",
    "CustomIpPrefix",
    "CustomIpPrefixListResult",
    "DscpConfiguration",
    "DscpConfigurationListResult",
    "GenerateExpressRoutePortsLOARequest",
    "GenerateExpressRoutePortsLOAResult",
    "InboundSecurityRule",
    "InboundSecurityRules",
    "O365BreakOutCategoryPolicies",
    "O365PolicyProperties",
    "PeerRoute",
    "PeerRouteList",
    "QosIpRange",
    "QosPortRange",
    "VpnConnectionPacketCaptureStartParameters",
    "VpnConnectionPacketCaptureStopParameters",
    "VpnGatewayIpConfiguration",
    "VpnGatewayPacketCaptureStartParameters",
    "VpnGatewayPacketCaptureStopParameters",
    "AzureWebCategory",
    "AzureWebCategoryListResult",
    "ExtendedLocation",
    "FirewallPolicyCertificateAuthority",
    "FirewallPolicyIntrusionDetection",
    "FirewallPolicyIntrusionDetectionBypassTrafficSpecifications",
    "FirewallPolicyIntrusionDetectionConfiguration",
    "FirewallPolicyIntrusionDetectionSignatureSpecification",
    "FirewallPolicySku",
    "FirewallPolicyTransportSecurity",
    "ListVpnGatewayNatRulesResult",
    "ProxyResource",
    "VpnGatewayNatRule",
    "VpnNatRuleMapping",
    "FirewallPolicyInsights",
    "FirewallPolicyLogAnalyticsResources",
    "FirewallPolicyLogAnalyticsWorkspace",
    "FirewallPolicySNAT",
    "GatewayLoadBalancerTunnelInterface",
    "ListVirtualNetworkGatewayNatRulesResult",
    "LoadBalancerVipSwapRequest",
    "LoadBalancerVipSwapRequestFrontendIPConfiguration",
    "Sku",
    "VirtualNetworkGatewayNatRule",
    "ActiveBaseSecurityAdminRule",
    "ActiveBaseSecurityUserRule",
    "ActiveConfigurationParameter",
    "EffectiveConnectivityConfiguration",
    "ActiveConnectivityConfiguration",
    "ActiveConnectivityConfigurationsListResult",
    "ActiveDefaultSecurityAdminRule",
    "ActiveDefaultSecurityUserRule",
    "ActiveSecurityAdminRule",
    "ActiveSecurityAdminRulesListResult",
    "ActiveSecurityUserRule",
    "ActiveSecurityUserRulesListResult",
    "AddressPrefixItem",
    "ChildResource",
    "BaseAdminRule",
    "AdminRule",
    "AdminRuleListResult",
    "BaseUserRule",
    "ConfigurationGroup",
    "ConnectivityConfiguration",
    "ConnectivityConfigurationListResult",
    "ConnectivityGroupItem",
    "DefaultAdminRule",
    "DefaultUserRule",
    "EffectiveBaseSecurityAdminRule",
    "EffectiveDefaultSecurityAdminRule",
    "EffectiveSecurityAdminRule",
    "EffectiveVirtualNetwork",
    "EffectiveVirtualNetworksListResult",
    "EffectiveVirtualNetworksParameter",
    "GroupMembersItem",
    "Hub",
    "NetworkGroup",
    "NetworkGroupListResult",
    "NetworkManager",
    "NetworkManagerCommit",
    "NetworkManagerDeploymentStatus",
    "NetworkManagerDeploymentStatusListResult",
    "NetworkManagerDeploymentStatusParameter",
    "NetworkManagerEffectiveConnectivityConfigurationListResult",
    "NetworkManagerEffectiveSecurityAdminRulesListResult",
    "NetworkManagerListResult",
    "NetworkManagerPropertiesNetworkManagerScopes",
    "NetworkManagerSecurityGroupItem",
    "NetworkSecurityPerimeter",
    "NetworkSecurityPerimeterListResult",
    "NspAccessRule",
    "NspAccessRuleListResult",
    "NspAssociation",
    "NspAssociationsListResult",
    "NspLink",
    "NspLinkListResult",
    "NspLinkReference",
    "NspLinkReferenceListResult",
    "NspProfile",
    "NspProfileListResult",
    "PerimeterAssociableResource",
    "PerimeterAssociableResourcesListResult",
    "PerimeterBasedAccessRule",
    "QueryRequestOptions",
    "RuleCollection",
    "RuleCollectionListResult",
    "SecurityConfiguration",
    "SecurityConfigurationListResult",
    "SubscriptionId",
    "SystemData",
    "UserRule",
    "UserRuleListResult",
    "Action",
    "AdminRuleCollection",
    "AdminRuleCollectionListResult",
    "ApplicationGatewayBackendSettings",
    "ApplicationGatewayFirewallManifestRuleSet",
    "ApplicationGatewayGlobalConfiguration",
    "ApplicationGatewayListener",
    "ApplicationGatewayLoadDistributionPolicy",
    "ApplicationGatewayLoadDistributionTarget",
    "ApplicationGatewayRoutingRule",
    "ApplicationGatewayWafDynamicManifestResult",
    "ApplicationGatewayWafDynamicManifestResultList",
    "BackendAddressInboundNatRulePortMappings",
    "Criterion",
    "CrossTenantScopes",
    "DelegationProperties",
    "EffectiveRouteMapRoute",
    "ExclusionManagedRule",
    "ExclusionManagedRuleGroup",
    "ExclusionManagedRuleSet",
    "ExplicitProxy",
    "ExpressRoutePortAuthorization",
    "ExpressRoutePortAuthorizationListResult",
    "ExpressRouteProviderPort",
    "ExpressRouteProviderPortListResult",
    "FilterItems",
    "FirewallPolicySQL",
    "GatewayCustomBgpIpAddressIpConfiguration",
    "GetInboundRoutesParameters",
    "GetOutboundRoutesParameters",
    "IDPSQueryObject",
    "IPPrefixesList",
    "InboundNatRulePortMapping",
    "ListRouteMapsResult",
    "ListRoutingIntentResult",
    "ListVpnServerConfigurationPolicyGroupsResult",
    "NatRulePortMapping",
    "NetworkManagerConnection",
    "NetworkManagerConnectionListResult",
    "OrderBy",
    "PacketCaptureMachineScope",
    "Parameter",
    "PartnerManagedResourceProperties",
    "PatchObject",
    "PrivateEndpointIPConfiguration",
    "PublicIpDdosProtectionStatusResult",
    "QosDefinition",
    "QueryInboundNatRulePortMappingRequest",
    "QueryResults",
    "RouteMap",
    "RouteMapRule",
    "RoutingIntent",
    "RoutingPolicy",
    "ScopeConnection",
    "ScopeConnectionListResult",
    "SecurityAdminConfiguration",
    "SecurityAdminConfigurationListResult",
    "ServiceTagInformationListResult",
    "SignatureOverridesFilterValuesQuery",
    "SignatureOverridesFilterValuesResponse",
    "SignaturesOverrides",
    "SignaturesOverridesList",
    "SignaturesOverridesProperties",
    "SingleQueryResult",
    "StaticMember",
    "StaticMemberListResult",
    "StaticRoutesConfig",
    "SwapResource",
    "SwapResourceListResult",
    "SwapResourceProperties",
    "VirtualNetworkDdosProtectionStatusResult",
    "VirtualNetworkEncryption",
    "VirtualNetworkGatewayPolicyGroup",
    "VirtualNetworkGatewayPolicyGroupMember",
    "VirtualRouterAutoScaleConfiguration",
    "VngClientConnectionConfiguration",
    "VpnServerConfigurationPolicyGroup",
    "VpnServerConfigurationPolicyGroupMember",
    "ApplicationGatewayCookieBasedAffinity",
    "ApplicationGatewayOperationalState",
    "ApplicationGatewayProtocol",
    "ApplicationGatewayRequestRoutingRuleType",
    "ApplicationGatewaySkuName",
    "ApplicationGatewayTier",
    "AuthorizationUseStatus",
    "ExpressRouteCircuitPeeringAdvertisedPublicPrefixState",
    "ExpressRouteCircuitPeeringState",
    "ExpressRouteCircuitPeeringType",
    "ExpressRouteCircuitSkuFamily",
    "ExpressRouteCircuitSkuTier",
    "IPAllocationMethod",
    "LoadDistribution",
    "NetworkOperationStatus",
    "ProbeProtocol",
    "ProcessorArchitecture",
    "RouteNextHopType",
    "SecurityRuleAccess",
    "SecurityRuleDirection",
    "SecurityRuleProtocol",
    "ServiceProviderProvisioningState",
    "TransportProtocol",
    "UsageUnit",
    "VirtualNetworkGatewayConnectionStatus",
    "VirtualNetworkGatewayConnectionType",
    "VirtualNetworkGatewaySkuName",
    "VirtualNetworkGatewaySkuTier",
    "VirtualNetworkGatewayType",
    "VpnType",
    "Access",
    "ApplicationGatewayBackendHealthServerHealth",
    "ApplicationGatewayFirewallMode",
    "ApplicationGatewaySslProtocol",
    "AssociationType",
    "BgpPeerState",
    "Direction",
    "EffectiveRouteSource",
    "EffectiveRouteState",
    "IPVersion",
    "NextHopType",
    "PcError",
    "PcProtocol",
    "PcStatus",
    "Protocol",
    "ProvisioningState",
    "VirtualNetworkPeeringState",
    "RouteFilterRuleType",
    "ConnectionStatus",
    "DhGroup",
    "IkeEncryption",
    "IkeIntegrity",
    "IpsecEncryption",
    "IpsecIntegrity",
    "IssueType",
    "Origin",
    "PfsGroup",
    "Severity",
    "ApplicationGatewayRedirectType",
    "ApplicationGatewaySslCipherSuite",
    "ApplicationGatewaySslPolicyName",
    "ApplicationGatewaySslPolicyType",
    "AuthenticationMethod",
    "EffectiveSecurityRuleProtocol",
    "VpnClientProtocol",
    "ConnectionState",
    "EvaluationState",
    "LoadBalancerSkuName",
    "PublicIPAddressSkuName",
    "CircuitConnectionStatus",
    "ConnectionMonitorSourceStatus",
    "ExpressRoutePeeringState",
    "ExpressRoutePeeringType",
    "HTTPMethod",
    "IpFlowProtocol",
    "AzureFirewallApplicationRuleProtocolType",
    "AzureFirewallNetworkRuleProtocol",
    "AzureFirewallRCActionType",
    "HubVirtualNetworkConnectionStatus",
    "TunnelConnectionStatus",
    "VpnConnectionStatus",
    "OutboundRulePropertiesFormatProtocol",
    "PublicIPPrefixSkuName",
    "ApplicationGatewayCustomErrorStatusCode",
    "AzureFirewallNatRCActionType",
    "ExpressRouteLinkAdminState",
    "ExpressRouteLinkConnectorType",
    "ExpressRoutePortsEncapsulation",
    "OfficeTrafficCategory",
    "VerbosityLevel",
    "VirtualNetworkGatewayConnectionProtocol",
    "VirtualWanSecurityProviderType",
    "VpnGatewayTunnelingProtocol",
    "FlowLogFormatType",
    "ResourceIdentityType",
    "DdosCustomPolicyProtocol",
    "DdosCustomPolicyTriggerSensitivityOverride",
    "DdosSettingsProtectionCoverage",
    "AzureFirewallThreatIntelMode",
    "WebApplicationFirewallAction",
    "WebApplicationFirewallEnabledState",
    "WebApplicationFirewallMatchVariable",
    "WebApplicationFirewallMode",
    "WebApplicationFirewallOperator",
    "WebApplicationFirewallPolicyResourceState",
    "WebApplicationFirewallRuleType",
    "WebApplicationFirewallTransform",
    "LoadBalancerOutboundRuleProtocol",
    "NatGatewaySkuName",
    "FirewallPolicyFilterRuleActionType",
    "FirewallPolicyNatRuleActionType",
    "FirewallPolicyRuleConditionApplicationProtocolType",
    "FirewallPolicyRuleConditionNetworkProtocol",
    "FirewallPolicyRuleConditionType",
    "FirewallPolicyRuleType",
    "ExpressRouteLinkMacSecCipher",
    "VpnGatewayGeneration",
    "AzureFirewallSkuName",
    "AzureFirewallSkuTier",
    "ManagedRuleEnabledState",
    "OwaspCrsExclusionEntryMatchVariable",
    "OwaspCrsExclusionEntrySelectorMatchOperator",
    "VpnAuthenticationType",
    "BastionConnectProtocol",
    "ConnectionMonitorEndpointFilterItemType",
    "ConnectionMonitorEndpointFilterType",
    "ConnectionMonitorTestConfigurationProtocol",
    "ConnectionMonitorType",
    "HTTPConfigurationMethod",
    "OutputType",
    "PreferredIPVersion",
    "IpAllocationType",
    "SecurityPartnerProviderConnectionStatus",
    "SecurityProviderName",
    "FirewallPolicyFilterRuleCollectionActionType",
    "FirewallPolicyNatRuleCollectionActionType",
    "FirewallPolicyRuleApplicationProtocolType",
    "FirewallPolicyRuleCollectionType",
    "FirewallPolicyRuleNetworkProtocol",
    "HubBgpConnectionStatus",
    "RoutingState",
    "CommissionedState",
    "CoverageLevel",
    "DestinationPortBehavior",
    "EndpointType",
    "ExpressRouteLinkMacSecSciState",
    "InboundSecurityRulesProtocol",
    "ProtocolType",
    "ExtendedLocationTypes",
    "FirewallPolicyIntrusionDetectionProtocol",
    "FirewallPolicyIntrusionDetectionStateType",
    "FirewallPolicySkuTier",
    "LoadBalancerSkuTier",
    "NetworkInterfaceNicType",
    "PublicIPAddressMigrationPhase",
    "PublicIPAddressSkuTier",
    "PublicIPPrefixSkuTier",
    "VirtualNetworkGatewayConnectionMode",
    "VirtualNetworkPrivateEndpointNetworkPolicies",
    "VirtualNetworkPrivateLinkServiceNetworkPolicies",
    "NetworkInterfaceMigrationPhase",
    "PublicIpAddressMigrationPhase",
    "VpnLinkConnectionMode",
    "VpnNatRuleMode",
    "VpnNatRuleType",
    "BastionHostSkuName",
    "DeleteOptions",
    "GatewayLoadBalancerTunnelInterfaceType",
    "GatewayLoadBalancerTunnelProtocol",
    "PreferredRoutingGateway",
    "SyncRemoteAddressSpace",
    "VirtualNetworkPeeringLevel",
    "AccessRuleDirection",
    "AddressPrefixType",
    "AdminRuleKind",
    "AssociationAccessMode",
    "ConfigurationType",
    "ConnectivityTopology",
    "CreatedByType",
    "DeleteExistingNSGs",
    "DeleteExistingPeering",
    "DeploymentStatus",
    "EffectiveAdminRuleKind",
    "EffectiveUserRuleKind",
    "GroupConnectivity",
    "IsGlobal",
    "MembershipType",
    "NspLinkStatus",
    "NspProvisioningState",
    "SecurityConfigurationRuleAccess",
    "SecurityConfigurationRuleDirection",
    "SecurityConfigurationRuleProtocol",
    "SecurityType",
    "UseHubGateway",
    "UserRuleKind",
    "ActionType",
    "ApplicationGatewayClientRevocationOptions",
    "ApplicationGatewayLoadDistributionAlgorithm",
    "ApplicationGatewayRuleSetStatusOptions",
    "ApplicationGatewayTierTypes",
    "ApplicationGatewayWafRuleActionTypes",
    "ApplicationGatewayWafRuleStateTypes",
    "AutoLearnPrivateRangesMode",
    "CustomIpPrefixType",
    "DdosSettingsProtectionMode",
    "ExpressRoutePortAuthorizationUseStatus",
    "ExpressRoutePortsBillingType",
    "FirewallPolicyIDPSQuerySortOrder",
    "FirewallPolicyIDPSSignatureDirection",
    "FirewallPolicyIDPSSignatureMode",
    "FirewallPolicyIDPSSignatureSeverity",
    "Geo",
    "HubRoutingPreference",
    "IsWorkloadProtected",
    "LoadBalancerBackendAddressAdminState",
    "NetworkIntentPolicyBasedService",
    "NetworkInterfaceAuxiliaryMode",
    "NextStep",
    "PacketCaptureTargetType",
    "RouteMapActionType",
    "RouteMapMatchCondition",
    "ScopeConnectionState",
    "SlotType",
    "VirtualNetworkEncryptionEnforcement",
    "VnetLocalRouteOverrideCriteria",
    "VpnPolicyMemberAttributeType",
]
__all__.extend([p for p in _patch_all if p not in __all__])
_patch_sdk()
